using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace nesusedni
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            char c1 = s[0];
            char c2 = s[1];
            string[] s1=Console.ReadLine().Split(' ');
            int a1 = int.Parse(s1[0]);
            int a2 = int.Parse(s1[1]);
            char[] c = new char[a1 + a2];
            if (a1 - a2 == -1 || a1 - a2 == 0 || a1 - a2 == 1)
            {
                if (a1 >= a2)
                {
                    for (int i = 0; i < a1 + a2; i++)
                    {
                        if (i % 2 == 0) c[i] = c1;
                        else c[i] = c2;
                    }
                }
                else
                {
                    for (int i = 0; i < a1 + a2; i++)
                    {
                        if (i % 2 == 0) c[i] = c2;
                        else c[i] = c1;
                    }
                }
                for (int i = 0; i < a1 + a2; i++)
                {
                    Console.Write(c[i]);
                }
                Console.WriteLine();
            }
            else Console.WriteLine("nemoguce");
        }
    }
}